net.sf.jasperreports.engine.fill

## Class JRRecordedValuesPrintText

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRTemplatePrintElement
  - - net.sf.jasperreports.engine.fill.JRTemplatePrintText
    - - net.sf.jasperreports.engine.fill.JRRecordedValuesPrintText

- All Implemented Interfaces:
    java.io.Serializable, JRRecordedValuesPrintElement, TextFormat, JRAlignment, JRBoxContainer, JRCommonElement, JRCommonText, JRFont, JRIdentifiable, JRParagraphContainer, JRPrintAnchor, JRPrintElement, JRPrintHyperlink, JRPrintText, JRPropertiesHolder, JRStyleContainer, VirtualizationSerializable

      public class JRRecordedValuesPrintText
      extends JRTemplatePrintText
      implements JRRecordedValuesPrintElement

  Print text implementation that supports recorded values.
  Version:
    $Id: JRRecordedValuesPrintText.java 6770 2013-11-22 14:48:55Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintText

      `bookmarkLevel`

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintElement

      `template`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `UNSET_PRINT_ELEMENT_ID, UNSET_SOURCE_ELEMENT_ID`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintText

      `ZERO_LINE_BREAK_OFFSETS`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintHyperlink

      `PROPERTY_IGNORE_HYPERLINK_SUFFIX`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRFont

      `DEFAULT_FONT_NAME, DEFAULT_FONT_SIZE, DEFAULT_PDF_EMBEDDED, DEFAULT_PDF_ENCODING, DEFAULT_PDF_FONT_NAME`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRCommonText

      `MARKUP_HTML, MARKUP_NONE, MARKUP_RTF, MARKUP_STYLED_TEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRRecordedValuesPrintText()`
    `JRRecordedValuesPrintText(JRTemplateText text)` Deprecated. provide a source Id via `JRRecordedValuesPrintText(JRTemplateText, int)`
    `JRRecordedValuesPrintText(JRTemplateText text, int sourceElementId)` Deprecated. replaced by `JRRecordedValuesPrintText(JRTemplateText, PrintElementOriginator)`
    `JRRecordedValuesPrintText(JRTemplateText text, PrintElementOriginator originator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteRecordedValues()` Releases the recorded values set.
    `JRRecordedValues` | `getRecordedValues()` Returns the recorded values set.
    `void` | `initRecordedValues(java.util.Set<JREvaluationTime> evaluationTimes)` Initializes the recorded values set.
    `void` | `readVirtualized(VirtualizationInput in)`
    `void` | `writeVirtualized(VirtualizationOutput out)`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintText

      `accept, getAnchorName, getBookmarkLevel, getFont, getFontName, getFontsize, getFontSize, getFormatFactoryClass, getFullStyledText, getFullText, getHorizontalAlignmentValue, getHyperlinkAnchor, getHyperlinkPage, getHyperlinkParameters, getHyperlinkReference, getHyperlinkTargetValue, getHyperlinkTooltip, getHyperlinkTypeValue, getLeadingOffset, getLineBox, getLineBreakOffsets, getLineSpacingFactor, getLineSpacingValue, getLinkTarget, getLinkType, getLocaleCode, getMarkup, getOriginalText, getOwnFontName, getOwnFontsize, getOwnFontSize, getOwnHorizontalAlignmentValue, getOwnLineSpacingValue, getOwnMarkup, getOwnPdfEncoding, getOwnPdfFontName, getOwnRotationValue, getOwnVerticalAlignmentValue, getParagraph, getPattern, getPdfEncoding, getPdfFontName, getRotationValue, getRunDirectionValue, getStyledText, getText, getTextHeight, getTextTruncateIndex, getTextTruncateSuffix, getTimeZoneId, getValue, getValueClassName, getVerticalAlignmentValue, isBold, isItalic, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isUnderline, setAnchorName, setBold, setBold, setBookmarkLevel, setFont, setFontName, setFontSize, setFontSize, setFontSize, setHorizontalAlignment, setHyperlinkAnchor, setHyperlinkPage, setHyperlinkParameters, setHyperlinkReference, setHyperlinkTarget, setHyperlinkTooltip, setHyperlinkType, setItalic, setItalic, setLeadingOffset, setLineBreakOffsets, setLineSpacing, setLineSpacingFactor, setLinkTarget, setLinkTarget, setLinkType, setMarkup, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setRotation, setRunDirection, setStrikeThrough, setStrikeThrough, setText, setTextFormat, setTextHeight, setTextTruncateIndex, setTextTruncateSuffix, setUnderline, setUnderline, setValue, setVerticalAlignment`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintElement

      `getBackcolor, getDefaultLineColor, getDefaultStyleProvider, getForecolor, getHeight, getKey, getModeValue, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPrintElementId, getPropertiesMap, getSourceElementId, getStyle, getStyleNameReference, getTemplate, getUUID, getWidth, getX, getY, hasProperties, setBackcolor, setForecolor, setHeight, setMode, setSourceElementId, setStyle, setTemplate, setUUID, setWidth, setX, setY, updateElementTemplate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `accept, getHeight, getKey, getOrigin, getPrintElementId, getSourceElementId, getWidth, getX, getY, setHeight, setStyle, setUUID, setWidth, setX, setY`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer

      `getDefaultLineColor`

- - ### Constructor Detail

    - #### JRRecordedValuesPrintText

          public JRRecordedValuesPrintText()

    - #### JRRecordedValuesPrintText

          public JRRecordedValuesPrintText(JRTemplateText text)

      Deprecated. provide a source Id via `JRRecordedValuesPrintText(JRTemplateText, int)`
      Parameters:
        `text` -

    - #### JRRecordedValuesPrintText

          public JRRecordedValuesPrintText(JRTemplateText text,
                                   int sourceElementId)

      Deprecated. replaced by `JRRecordedValuesPrintText(JRTemplateText, PrintElementOriginator)`
      Parameters:
        `text` -
        `sourceElementId` - the Id of the source element

    - #### JRRecordedValuesPrintText

          public JRRecordedValuesPrintText(JRTemplateText text,
                                   PrintElementOriginator originator)

      Parameters:
        `text` -
        `originator` -

  - ### Method Detail

    - #### getRecordedValues

          public JRRecordedValues getRecordedValues()

      Description copied from interface: `JRRecordedValuesPrintElement`
      Returns the recorded values set.
      Specified by:
        `getRecordedValues` in interface `JRRecordedValuesPrintElement`
      Returns:
        the recorded values set

    - #### deleteRecordedValues

          public void deleteRecordedValues()

      Description copied from interface: `JRRecordedValuesPrintElement`
      Releases the recorded values set.

      This is called when all the recorded values are available and the element has been evaluated.
      Specified by:
        `deleteRecordedValues` in interface `JRRecordedValuesPrintElement`

    - #### initRecordedValues

          public void initRecordedValues(java.util.Set<JREvaluationTime> evaluationTimes)

      Description copied from interface: `JRRecordedValuesPrintElement`
      Initializes the recorded values set.
      Specified by:
        `initRecordedValues` in interface `JRRecordedValuesPrintElement`
      Parameters:
        `evaluationTimes` - future times when the values will be recorded

    - #### writeVirtualized

          public void writeVirtualized(VirtualizationOutput out)
                                throws java.io.IOException

      Specified by:
        `writeVirtualized` in interface `VirtualizationSerializable`
      Overrides:
        `writeVirtualized` in class `JRTemplatePrintText`
      Throws:
        `java.io.IOException`

    - #### readVirtualized

          public void readVirtualized(VirtualizationInput in)
                               throws java.io.IOException

      Specified by:
        `readVirtualized` in interface `VirtualizationSerializable`
      Overrides:
        `readVirtualized` in class `JRTemplatePrintText`
      Throws:
        `java.io.IOException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com